package org.zdevra.sparrow;

/**
 * All classes that implements this interface could be named during configuration of messaging system. If you want
 * develop your own channel or actor or any entity and you want identify this entity via his name, you will
 * implement this interface into entity's class.
 *
 * @author Zdenko Vrabel (zdenko.vrabel@celum.com)
 */
public interface Nameable
{
	/**
	 * set name for entity
	 * @param name
	 */
	public void setName(String name);


	/**
	 * gets the entity's name
	 * @return
	 */
	public String getName();
}
