/*****************************************************************************
 * Copyright 2012 Zdenko Vrabel
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *****************************************************************************/
package org.zdevra.sparrow;

import org.zdevra.sparrow.channel.ChannelReference;
import org.zdevra.sparrow.channel.MessageChannel;

/**
 * Interface provide and expose sparrow engine's functionality.
 *
 * @author Zdenko Vrabel (zdenko.vrabel@celum.com)
 */
public interface SparrowEngine
{
	/**
	 * Method start all units inside sparrow engine and engine itself
	 */
	public void start();

	/**
	 * Shutdown the sparrow engine and all his units
	 */
	public void shutdown() throws InterruptedException;

	/**
	 * Method returns the {@link org.zdevra.sparrow.channel.MessageChannel channel} instance.
	 *
	 * @return instance of channel. If there is no channel for given name, then method returns null.
	 */
	public MessageChannel getMessageChannel(ChannelReference channelRef);

}
