/*****************************************************************************
 * Copyright 2012 Zdenko Vrabel
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *****************************************************************************/
package org.zdevra.sparrow.actor;

import org.zdevra.sparrow.message.Message;

/**
 * Used for acting by {@link InputOutputActor actor}. T parameter tells what is the type of payloads.
 *
 * @author Zdenko Vrabel (zdenko.vrabel@celum.com)
 */
public interface ActorHandler<T>
{
	/**
	 * You will implement here acting code which process received message.
	 *
	 * @param msg
	 *          received message
	 */
	public void act(Message<T> msg);
}
