/*****************************************************************************
 * Copyright 2012 Zdenko Vrabel
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *****************************************************************************/
package org.zdevra.sparrow.actor;

import org.zdevra.sparrow.channel.MessageChannel;

/**
 * For actors which are implementing this interface the output channel could be set up.
 *
 * @author Zdenko Vrabel (zdenko.vrabel@celum.com)
 */
public interface ActorOutput
{
	/**
	 * Setup the output channel
	 *
	 * @param output
	 */
	public void setOutput(MessageChannel output);

	/**
	 * returns output message channel
	 * @return
	 */
	public MessageChannel output();
}
