package org.zdevra.sparrow.actor;

/**
 * build actor handler from given {@linkd ActorHandler} class object
 * @author Zdenko Vrabel (zdenko.vrabel@celum.com)
 */
public class ClassActorHandlerBuilder implements ActorHandlerBuilder
{
	/** actor handler class */
	private final Class<? extends ActorHandler> handlerClass;


	/**
	 * Constructor
	 * @param handlerClass
	 */
	public ClassActorHandlerBuilder(Class<? extends ActorHandler> handlerClass)
	{
		this.handlerClass = handlerClass;
	}


	/**
	 * {@inheritDoc}
	 */
	@Override
	public ActorHandler<?> build()
	{
		try {
			ActorHandler handler = handlerClass.newInstance();
			return handler;
		} catch (InstantiationException e) {
			//todo: change the exception handling
			e.printStackTrace();
		} catch (IllegalAccessException e) {
			//todo: change the exception handling
			e.printStackTrace();
		}

		return null;
	}
}
