package org.zdevra.sparrow.actor;

/**
 * Basic implementation of {@link ActorHandlerBuilder builder}
 *
 * @author Zdenko Vrabel (zdenko.vrabel@celum.com)
 */
public class InstanceActorHandlerBuilder implements ActorHandlerBuilder
{
	/** instance of actor handler the builder will return */
	private final ActorHandler<?> instance;


	/**
	 * Constructor
	 * @param instance
	 */
	public InstanceActorHandlerBuilder(ActorHandler<?> instance)
	{
		this.instance = instance;
	}


	/**
	 * {@inheritDoc}
	 */
	@Override
	public ActorHandler<?> build()
	{
		return instance;
	}
}
