/*****************************************************************************
 * Copyright 2012 Zdenko Vrabel
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *****************************************************************************/
package org.zdevra.sparrow.adapter;

import org.zdevra.sparrow.adapter.AdapterBuilder;

/**
 * Contains common behaviour for all implementations of {@link org.zdevra.sparrow.adapter.AdapterBuilder}
 *
 * @author Zdenko Vrabel (zdenko.vrabel@celum.com)
 */
public abstract class AbstractAdapterBuilder implements AdapterBuilder
{
	//-------------------------------------------------------------------------------------------------------------------
	// members
	//-------------------------------------------------------------------------------------------------------------------

	/** name of output channel */
	protected String outputName;


	//-------------------------------------------------------------------------------------------------------------------
	// impl. methods
	//-------------------------------------------------------------------------------------------------------------------

	/**
	 * {@inheritDoc}
	 */
	@Override
	public final AdapterBuilder output(String output)
	{
		this.outputName = output;
		return this;
	}


}
