/*****************************************************************************
 * Copyright 2012 Zdenko Vrabel
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *****************************************************************************/
package org.zdevra.sparrow.adapter;

/**
 * Building {@link org.zdevra.sparrow.adapter.InboundAdapter}
 *
 * @author Zdenko Vrabel (zdenko.vrabel@celum.com)
 */
public interface AdapterBuilder
{
	/**
	 * Set output channel to adapter. Adapter will send
	 *
	 * @param output
	 */
	public AdapterBuilder output(String output);


	/**
	 * create/register adapter instance into engine
	 *
	 * @param adapter
	 *           instance of adapter implementation
	 */
	public void asInstance(InboundAdapter adapter);


	/**
	 * create/register adapter class into engine. Class will be singletoned
	 *
	 * @param adapterClass
	 *           class of adapter implementation
	 */
	public void asClass(Class<? extends InboundAdapter> adapterClass);
}
