package org.zdevra.sparrow.aggregator;

import org.zdevra.sparrow.message.Message;

import java.util.List;

/**
 * @author Zdenko Vrabel (zdenko.vrabel@celum.com)
 */
public interface AggregatorStrategy
{
	/**
	 * Here you will implement aggregation code which aggregate list of messages into one and you could send it
	 *
	 * @param messagesToAggregate
	 *           list of incoming message
	 *
	 * @return aggregated message to be send to output
	 */
	public Message<?> aggregate(List<Message<?>> messagesToAggregate);
}
