package org.zdevra.sparrow.channel;

/**
 * Simple implementation of {@link ChannelReference} that refers to channel by name
 *
 * @author Zdenko Vrabel (zdenko.vrabel@celum.com)
 */
public class NamedChannelReference implements ChannelReference
{
	/** name of the channel */
	private final String channelName;


	/**
	 * Constructor
	 * @param channelName
	 */
	public NamedChannelReference(String channelName)
	{
		this.channelName = channelName;
	}


	/**
	 * {@inheritDoc}
	 */
	@Override
	public String name()
	{
		return this.channelName;
	}


	/**
	 * {@inheritDoc}
	 */
	@Override
	public String toString()
	{
		return "NamedChannelReference{" +
				  "name='" + channelName + '\'' +
				  '}';
	}
}
