/*****************************************************************************
 * Copyright 2012 Zdenko Vrabel
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *****************************************************************************/
package org.zdevra.sparrow.channel;

import org.zdevra.sparrow.message.Message;

/**
 * Base channel interface defining message receiving.
 *
 * @author Zdenko Vrabel (zdenko.vrabel@celum.com)
 */
public interface PollableChannel extends MessageChannel
{
	/**
	 * Blocking version of message receiving. this method block execution until any message is received.
	 * @return
	 */
	public Message<?> receive();

	/**
	 * receives message from channel. Method will block the execution until timeout expires.
	 *
	 * @param timeout
	 *           timeout in milisec.
	 * @return
	 */
	public Message<?> receive(long timeout);
}
