package org.zdevra.sparrow.dsl;

import org.zdevra.sparrow.actor.ActorBuilder;
import org.zdevra.sparrow.actor.ActorHandler;
import org.zdevra.sparrow.actor.ActorHandlerBuilder;
import org.zdevra.sparrow.adapter.AdapterBuilder;
import org.zdevra.sparrow.aggregator.AggregatorBuilder;
import org.zdevra.sparrow.channel.ChannelBuilder;
import org.zdevra.sparrow.channel.ChannelReference;
import org.zdevra.sparrow.filter.FilterBuilder;
import org.zdevra.sparrow.filter.HeaderFilterRuleBuilder;
import org.zdevra.sparrow.filter.PayloadFilterRuleBuilder;
import org.zdevra.sparrow.smartproxy.SmartProxyBuilder;
import org.zdevra.sparrow.splitter.SplitterBuilder;

/**
 * main DSL builder.
 *
 * @author Zdenko Vrabel (zdenko.vrabel@celum.com)
 */
public interface SparrowDsl
{
	public ActorBuilder actor(ActorHandlerBuilder actor);

	public ActorBuilder actor(ActorHandler<?> actor);

	public ActorBuilder actor(Class<? extends ActorHandler> actor);

	public ChannelBuilder channel(String name);

	public ChannelReference channelRef(String name);

	public AdapterBuilder inboundAdapter();

	public SmartProxyBuilder smartProxy(String name);

	public AggregatorBuilder aggregator();

	public SplitterBuilder splitter();

	public FilterBuilder filter();

	public HeaderFilterRuleBuilder header(String header);

	public PayloadFilterRuleBuilder payload();

	public FromDsl from(ChannelReference channel);
}
