/*****************************************************************************
 * Copyright 2012 Zdenko Vrabel
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *****************************************************************************/
package org.zdevra.sparrow.smartproxy;

import org.zdevra.sparrow.message.Message;
import org.zdevra.sparrow.actor.OutputActorHandler;

/**
 * @author Zdenko Vrabel (zdenko.vrabel@celum.com)
 */
class ProxyRequestActor extends OutputActorHandler<Object>
{
	//-------------------------------------------------------------------------------------------------------------------
	// members
	//-------------------------------------------------------------------------------------------------------------------
	private final SmartProxy proxy;

	//-------------------------------------------------------------------------------------------------------------------
	// constructor & methods
	//-------------------------------------------------------------------------------------------------------------------

	/**
	 * Constructor
	 * @param proxy
	 */
	ProxyRequestActor(SmartProxy proxy)
	{
		this.proxy = proxy;
	}


	/**
	 * Registers reply channel in inner register and enrich message about 'return address'
	 * {@inheritDoc}
	 */
	@Override
	public void act(Message<Object> msg)
	{
		Message<?> out = proxy.registerReplyChannel(msg);
		output().send(out);
	}
}
