/*****************************************************************************
 * Copyright 2012 Zdenko Vrabel
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *****************************************************************************/
package org.zdevra.sparrow.smartproxy;

import org.zdevra.sparrow.SparrowBuilder;
import org.zdevra.sparrow.channel.ChannelReference;

/**
 * Builder for {@link SmartProxy}
 *
 * @author Zdenko Vrabel (zdenko.vrabel@celum.com)
 */
public interface SmartProxyBuilder extends SparrowBuilder
{
	/**
	 * Name of input channel where you will send all requests messages that they have
	 * reply channel in header.
	 */
	public SmartProxyBuilder requestsInput(ChannelReference channelName);

	/**
	 * Name of output channel to where smart proxy send request messages enriched with
	 * return-address
	 */
	public SmartProxyBuilder requestsOutput(ChannelReference channelName);

	/**
	 * Name of input channel into where all replies with return-address comes. Smart proxy
	 * routes replies into concrete reply-channels.
	 */
	public SmartProxyBuilder repliesInput(ChannelReference channelName);

}
